Project

General

Profile

Anomalie #4576

Warning en php 8

Added by Franck D 7 months ago. Updated 6 months ago.

Status:
Fermé
Priority:
Normal
Assignee:
-
Target version:
Start date:
10/15/2020
Due date:
% Done:

0%

Resolution:
fixed
Navigateur:

Description

Hello :)
Windows 10 (1909)
Firefox 81.0.2

Easyphp
Apache 2.4.43 x64
PHP 8.0.0 beta 1 x64
MySQL 8.0.20 x64
PhpMyAdmin 5.0.2
SPIP 3.3.0-dev GIT [master: 81954001]
Prefix des tables: test19

Je fais l'installation d'un spip 3.3 neuf, dans ecrire/?exec=configurer_avancees j'ai fais le choix de gd 2 avec la génération des miniatures.
Dans ecrire/?exec=depots j'ai fais l'ajout du dépôt puis, je vais dans ecrire/?exec=charger_plugin, je choisi (tous les dépôts, tous les états, la version la plus récente) et je fais un clique sur "Rechercher"
Cela semble fonctionner, mais j'ai quand même un warning qui apparait plusieurs fois:

Warning: detecter_liens_blocs(): Argument #1 ($t) must be passed by reference, value given in C:\...\test19\plugins-dist\textwheel\engine\textwheel.php on line 445

History

#1 Updated by marcimat 🌻 7 months ago

Oui, j’ai eu ça aussi dans textwheel (je ne me rappelle plus si c’est cette fonction ou une autre ceci dit), c’est c’est clairement du à un changement du comportement des références en PHP8.
Je ne suis pas sûr de la correction a apporter.

#2 Updated by b b 7 months ago

  • Status changed from Nouveau to En cours

#3 Updated by marcimat 🌻 6 months ago

  • Status changed from En cours to Fermé
  • Resolution set to fixed

Also available in: Atom PDF